CLACGV(3f)

NAME
CLACGV - a complex vector of length N

SYNOPSIS

SUBROUTINE CLACGV(
    N, X, INCX )

INTEGER
    INCX, N

COMPLEX
    X( * )

PURPOSE
CLACGV conjugates a complex vector of length N.

ARGUMENTS

N       (input) INTEGER
    The length of the vector X. N >= 0.

X       (input/output) COMPLEX array, dimension
    (1+(N-1)*abs(INCX)) On entry, the vector of length N to be conjugated. On exit, X is overwritten with conjg(X).

INCX    (input) INTEGER
    The spacing between successive elements of X.